<?php
// +----------------------------------------------------------------------
// | 员工
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class admin_log extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }

        $list = self::menu_make($this->get_branch());
        $this->assign('role', $this->select_menu($list));

        $list = self::menu_make($this->get_role());
        $this->assign('branch', $this->select_menu($list));

        $role_id = $this->for_role($this->admin['role_id']);
        $user = \think\Db::name('admin')->whereIN('role_id', $role_id)->order('id ASC')->field('id, name')->select();
        $this->assign('user', $user);
        
        return $this->fetch();
    }

    // 列表
    private function showlist($param=[]) {
        $where = $this->_where($param);
        $list = \think\Db::name('admin_action_log')->alias('A')
                ->join('admin B', 'A.admin_id=B.id', 'LEFT')
                ->join('role C', 'B.branch_id=C.id', 'LEFT')
                ->join('branch D', 'B.branch_id=D.id', 'LEFT')
                ->order('A.id DESC')
                ->page($param['page'])
                ->limit($param['limit'])
                ->where($where)
                ->field('A.*, B.name, B.status, C.role_title, D.branch_title')
                ->select();
        foreach ($list as $k=>$v) {
            $list[$k]['create_time'] = date('Y-m-d H:i:s', $v['create_time']);
            if ($v['status'] == 1) {
                $list[$k]['status_name'] = '开启';
            } else {
                $list[$k]['status_name'] = '关闭';
            }
        }
        $count = \think\Db::name('admin_action_log')->alias('A')
                ->join('admin B', 'A.admin_id=B.id', 'LEFT')
                ->join('role C', 'B.branch_id=C.id', 'LEFT')
                ->join('branch D', 'B.branch_id=D.id', 'LEFT')
                ->where($where)
                ->count();

        return $this->returnTable($list, $count);
    }

    private function _where($param=[]) {
        $where = [];
        // 只能看到自己下面的人
        $branch_id = $this->for_branch($this->admin['branch_id']);
        $role_id = $this->for_role($this->admin['role_id']);
        $where[] = ['B.branch_id', 'in', $branch_id];
        $where[] = ['B.role_id', 'in', $role_id];
        if (!empty($param['keys'])) {
            $where[] = ['A.msg|B.name', 'like', '%'.$param['keys'].'%'];
        }
        if (!empty($param['branch_id'])) {
            $id = $this->for_branch($param['branch_id']);
            $where[] = ['B.branch_id', 'in', $id];
        }
        if (!empty($param['role_id'])) {
            $id = $this->for_role($param['role_id']);
            $where[] = ['B.role_id', 'in', $id];
        }
        if (!empty($param['admin_id'])) {
            $where[] = ['A.admin_id', '=', $param['admin_id']];
        }
        return $where;
    }

}
