<?php
// +----------------------------------------------------------------------
// | 编辑独立权限
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class admin_menu extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            if (isset($param['tree'])) {
                return $this->tree($param);
            }
            return $this->ajax($param);
        }
        $this->assign('layui', true);
        $this->assign('param', $param);
        return $this->fetch();
    }

    private function tree($param=[]) {
        $menu = \think\Db::name('menu')->where('status', 1)->order('pid ASC, sort DESC, id ASC')->field('title as name, id as value, id, pid')->select();
        $info = \think\Db::name('admin_menu')->where('admin_id', $param['id'])->field('id, admin_id, menu_list')->find();
        $arr = [];
        if ($info) {
            $arr = explode(',', $info['menu_list']);
        }
        $role_id =\think\Db::name('admin')->where('id', $param['id'])->value('role_id');
        $list = \think\Db::name('auth')->where('role_id', $role_id)->select();
        
        foreach ($list as $v) {
            $arr[] = $v['menu_id'];
        }

        foreach ($menu as $k=>$v) {
            if (in_array($v['id'], $arr)) {
                $menu[$k]['checked'] = true;
            } else {
                $menu[$k]['checked'] = false;
            }
        }

        return json_encode([
            "code" => 0,
            "msg" => "获取成功！",
            "data" => [
                "trees" => $this->menu_make($menu, 'list'),
            ]
        ]);
    }

    private function ajax($param=[]) {
        if (isset($param['ids'])) {
            $info = \think\Db::name('admin_menu')->where('admin_id', $param['id'])->find();
            $in = 0;
            foreach ($param['ids'] as $v) {
                $in .= ','.$v;
            }
            if ($info) {
                \think\Db::name('admin_menu')->where('id', $info['id'])->update([
                    'menu_list' => $in,
                ]);
            } else {
                \think\Db::name('admin_menu')->insert([
                    'admin_id' => $param['id'],
                    'menu_list' => $in,
                ]);
            }
        }
        
        return $this->_json('00', '独立权限修改成功！');
    }
}
