<?php
// +----------------------------------------------------------------------
// | 权限分配
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;
use app\common\controller\_Admin;

class role_menu extends _Admin
{
    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    // $_this 父类的obj实例
    public function run($param=[], $_this) {
        if (\think\facade\Request::isAjax()) {
            if (isset($param['tree'])) {
                return $this->tree($param);
            }
            return $this->ajax($param);
        }
        $this->assign('layui', true);
        $this->assign('param', $param);
        return $this->fetch();
    }

    private function tree($param=[]) {
        $menu = \think\Db::name('menu')->where('status', 1)->order('pid ASC, sort DESC, id ASC')->field('title as name, id as value, id, pid')->select();
        $list = \think\Db::name('auth')->where('role_id', $param['id'])->select();
        $arr = [];
        foreach ($list as $v) {
            $arr[] = $v['menu_id'];
        }
        foreach ($menu as $k=>$v) {
            if (in_array($v['id'], $arr)) {
                $menu[$k]['checked'] = true;
            } else {
                $menu[$k]['checked'] = false;
            }
        }
        return json_encode([
            "code" => 0,
            "msg" => "获取成功",
            "data" => [
                "trees" => $this->menu_make($menu, 'list'),
            ]
        ]);
    }

    private function ajax($param=[]) {
        $res = \think\Db::name('auth')->where('role_id', $param['role_id'])->delete();
        if (isset($param['ids'])) {
            foreach ($param['ids'] as $v) {
                \think\Db::name('auth')->insert([
                    'role_id' => $param['role_id'],
                    'menu_id' => $v,
                ]);
            }
        }
        
        return $this->_json('00', '修改职位权限成功！');
    }
}