/*
Navicat MySQL Data Transfer

Source Server         : 本地
Source Server Version : 50726
Source Host           : 127.0.0.1:3306
Source Database       : xilian

Target Server Type    : MYSQL
Target Server Version : 50726
File Encoding         : 65001

Date: 2021-01-15 15:54:32
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for jun_admin
-- ----------------------------
DROP TABLE IF EXISTS `jun_admin`;
CREATE TABLE `jun_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL COMMENT '账号-真人名',
  `pwd` varchar(32) DEFAULT NULL COMMENT '密码-加密后的',
  `role_id` int(11) DEFAULT NULL COMMENT '角色ID',
  `branch_id` int(11) DEFAULT NULL COMMENT '部门ID',
  `sex` varchar(12) DEFAULT NULL COMMENT '性别',
  `phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `img` varchar(128) DEFAULT '/public/admin/img/a1.jpg' COMMENT '头像',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 1.开启 2.关闭',
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `heartbeat_time` int(11) DEFAULT NULL COMMENT '心跳时间戳',
  `quit_time` int(11) DEFAULT NULL COMMENT '离职时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COMMENT='管理员表';

-- ----------------------------
-- Records of jun_admin
-- ----------------------------
INSERT INTO `jun_admin` VALUES ('1', 'admin', 'ee958db764b6ec0fbd33687dd2c4b649', '1', '1', '男', '', '/public/data/uploads/20210115/43bc7593dea60e2536751a884c1b27ad.jpg', '1', '1606393901', '1608168482', '1610697255', null);

-- ----------------------------
-- Table structure for jun_admin_action_log
-- ----------------------------
DROP TABLE IF EXISTS `jun_admin_action_log`;
CREATE TABLE `jun_admin_action_log` (
  `id` bigint(13) NOT NULL AUTO_INCREMENT,
  `admin_id` int(11) DEFAULT NULL COMMENT '管理员ID',
  `msg` varchar(255) DEFAULT NULL COMMENT '说明',
  `ip` varchar(32) DEFAULT NULL,
  `create_time` int(11) DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2651 DEFAULT CHARSET=utf8mb4 COMMENT='管理员操作日志';

-- ----------------------------
-- Records of jun_admin_action_log
-- ----------------------------

-- ----------------------------
-- Table structure for jun_admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `jun_admin_menu`;
CREATE TABLE `jun_admin_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_id` int(11) DEFAULT NULL COMMENT '管理ID',
  `menu_list` text COMMENT '权限id',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='管理员 - 独立权限';

-- ----------------------------
-- Records of jun_admin_menu
-- ----------------------------

-- ----------------------------
-- Table structure for jun_auth
-- ----------------------------
DROP TABLE IF EXISTS `jun_auth`;
CREATE TABLE `jun_auth` (
  `role_id` int(11) NOT NULL COMMENT '角色ID',
  `menu_id` int(11) DEFAULT NULL COMMENT '菜单ID'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COMMENT='角色-权限菜单表';

-- ----------------------------
-- Records of jun_auth
-- ----------------------------

-- ----------------------------
-- Table structure for jun_branch
-- ----------------------------
DROP TABLE IF EXISTS `jun_branch`;
CREATE TABLE `jun_branch` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) DEFAULT '0' COMMENT '父ID',
  `branch_title` varchar(64) DEFAULT NULL COMMENT '部门名称',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 1.开启 2.关闭',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COMMENT='部门表';

-- ----------------------------
-- Records of jun_branch
-- ----------------------------
INSERT INTO `jun_branch` VALUES ('1', '0', '总部', '0', '1');
INSERT INTO `jun_branch` VALUES ('3', '1', '后勤', '0', '1');
INSERT INTO `jun_branch` VALUES ('4', '1', '管理层', '0', '1');
INSERT INTO `jun_branch` VALUES ('5', '1', '行政', '0', '1');
INSERT INTO `jun_branch` VALUES ('6', '1', '销售部', '0', '1');
INSERT INTO `jun_branch` VALUES ('7', '1', '财务部', '0', '1');
INSERT INTO `jun_branch` VALUES ('8', '6', '主管', '0', '1');
INSERT INTO `jun_branch` VALUES ('9', '8', '代理人', '0', '1');

-- ----------------------------
-- Table structure for jun_config
-- ----------------------------
DROP TABLE IF EXISTS `jun_config`;
CREATE TABLE `jun_config` (
  `id` int(11) NOT NULL,
  `title` varchar(64) DEFAULT NULL COMMENT '网站标题',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COMMENT='全站配置表';

-- ----------------------------
-- Records of jun_config
-- ----------------------------
INSERT INTO `jun_config` VALUES ('1', '西联报销');

-- ----------------------------
-- Table structure for jun_menu
-- ----------------------------
DROP TABLE IF EXISTS `jun_menu`;
CREATE TABLE `jun_menu` (
  `id` bigint(13) NOT NULL AUTO_INCREMENT,
  `pid` bigint(13) DEFAULT NULL COMMENT '父ID',
  `title` varchar(64) DEFAULT NULL COMMENT '菜单名称',
  `controller` varchar(64) DEFAULT NULL COMMENT '控制器名称',
  `action` varchar(128) DEFAULT NULL COMMENT '方法',
  `param` varchar(255) DEFAULT NULL COMMENT '额外参数',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 1.开启  2.关闭',
  `display` tinyint(1) DEFAULT '1' COMMENT '页面  1.显示   2.隐藏',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `icon` varchar(128) DEFAULT NULL COMMENT 'ICON图标名称',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=117 DEFAULT CHARSET=utf8mb4 COMMENT='权限菜单表';

-- ----------------------------
-- Records of jun_menu
-- ----------------------------
INSERT INTO `jun_menu` VALUES ('3', '0', '开发配置', 'auth', '', null, '1', '1', '88', 'fa fa-cutlery');
INSERT INTO `jun_menu` VALUES ('2', '0', '控制台', 'index', 'main', null, '1', '1', '99', 'fa fa-home');
INSERT INTO `jun_menu` VALUES ('4', '3', '系统菜单', 'auth', 'menu_index', '', '1', '1', '4', '');
INSERT INTO `jun_menu` VALUES ('5', '4', '新增', 'auth', 'menu_create', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('6', '4', '修改', 'auth', 'menu_update', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('7', '4', '删除', 'auth', 'menu_delete', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('8', '3', '网站配置', 'auth', 'config_index', '', '1', '1', '3', '');
INSERT INTO `jun_menu` VALUES ('9', '0', '公司管理', 'auth', '', null, '1', '1', '77', 'fa fa-flask');
INSERT INTO `jun_menu` VALUES ('15', '9', '部门', 'auth', 'branch_index', null, '1', '1', '0', '');
INSERT INTO `jun_menu` VALUES ('14', '4', '切换状态', 'auth', 'menu_tab', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('16', '15', '新增', 'auth', 'branch_create', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('17', '15', '删除', 'auth', 'branch_delete', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('18', '15', '修改', 'auth', 'branch_update', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('19', '9', '职位', 'auth', 'role_index', null, '1', '1', '0', '');
INSERT INTO `jun_menu` VALUES ('20', '19', '新增', 'auth', 'role_create', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('21', '19', '删除', 'auth', 'role_delete', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('22', '19', '修改', 'auth', 'role_update', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('23', '19', '分配权限', 'auth', 'role_menu', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('24', '9', '员工', 'auth', 'admin_index', null, '1', '1', '0', '');
INSERT INTO `jun_menu` VALUES ('25', '24', '新增', 'auth', 'admin_create', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('26', '24', '删除', 'auth', 'admin_delete', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('27', '24', '修改', 'auth', 'admin_update', null, '1', '0', '0', '');
INSERT INTO `jun_menu` VALUES ('33', '9', '操作日志', 'auth', 'admin_log', null, '1', '1', '0', '');
INSERT INTO `jun_menu` VALUES ('112', '24', '独立权限', 'auth', 'admin_menu', '', '1', '0', '0', '');

-- ----------------------------
-- Table structure for jun_role
-- ----------------------------
DROP TABLE IF EXISTS `jun_role`;
CREATE TABLE `jun_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) DEFAULT '0' COMMENT '父ID',
  `role_title` varchar(64) DEFAULT NULL COMMENT '角色名称',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 1.开启 2.关闭',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COMMENT='角色表';

-- ----------------------------
-- Records of jun_role
-- ----------------------------
INSERT INTO `jun_role` VALUES ('1', '0', '超级管理员', '0', '1');
INSERT INTO `jun_role` VALUES ('3', '1', '代理人1', '0', '1');
INSERT INTO `jun_role` VALUES ('6', '1', '后勤', '0', '1');
INSERT INTO `jun_role` VALUES ('20', '1', '财务', '0', '1');
